package com.goldenwater.slaj.hidd.service;

import java.util.List;
import com.goldenwater.slaj.hidd.domain.BisOrgMonRepRevo;

/**
 * 月报修订记录 服务层
 */
public interface IBisOrgMonRepRevoService {

    /**
     * 查询月报修订记录信息
     * @param guid 查询条件
     * @return 月报修订记录信息
     */
    BisOrgMonRepRevo selectBisOrgMonRepRevoByGuid(String guid);

    /**
     * 查询月报修订记录列表
     * @param bisOrgMonRepRevo 月报修订记录查询条件
     * @return 月报修订记录集合
     */
    List<BisOrgMonRepRevo> selectBisOrgMonRepRevoList(BisOrgMonRepRevo bisOrgMonRepRevo);

    /**
     * 新增月报修订记录
     * @param bisOrgMonRepRevo 月报修订记录信息
     * @return 影响行数
     */
    int insertBisOrgMonRepRevo(BisOrgMonRepRevo bisOrgMonRepRevo);

    /**
     * 修改月报修订记录
     * @param bisOrgMonRepRevo 月报修订记录信息
     * @return 影响行数
     */
    int updateBisOrgMonRepRevo(BisOrgMonRepRevo bisOrgMonRepRevo);

    /**
     * 删除月报修订记录
     * @param guid 月报修订记录主键
     * @return 影响行数
     */
    int deleteBisOrgMonRepRevoByGuid(String guid);

    /**
     * 批量删除月报修订记录
     * @param guids 月报修订记录主键数组
     * @return 影响行数
     */
    int deleteBisOrgMonRepRevoByGuids(String[] guids);
}
